<?php

add_action( 'wp_enqueue_scripts', 'forever_young_chld_thm_parent_css' );
function forever_young_chld_thm_parent_css() {

    $my_theme = wp_get_theme();
    $theme_version = $my_theme->get( 'Version' );

    wp_enqueue_style( 
    	'forever_young_chld_css', 
    	trailingslashit( get_template_directory_uri() ) . 'style.css', 
    	array( 
    		'bootstrap',
    		'font-awesome-5',
    		'bizberg-main',
    		'bizberg-component',
    		'bizberg-style2',
    		'bizberg-responsive' 
    	) 
    );

    wp_enqueue_script( 'forever_young_scripts', get_stylesheet_directory_uri() . '/js/script.js', array('jquery'), $theme_version );
    
}

add_filter( 'bizberg_primary_header_layout', 'forever_young_primary_header_layout' );
function forever_young_primary_header_layout(){
    return 'center';
}

add_filter( 'bizberg_background_color_1', 'forever_young_background_color_1' );
add_filter( 'bizberg_background_color_2', 'forever_young_background_color_1' );
add_filter( 'bizberg_primary_header_layout_bottom_border_color', 'forever_young_background_color_1' );
function forever_young_background_color_1(){
    return '#f1eff2';
}

add_filter( 'bizberg_top_bar_icon_color', 'forever_young_top_bar_icon_color' );
add_filter( 'bizberg_top_bar_info_box_color', 'forever_young_top_bar_icon_color' );
function forever_young_top_bar_icon_color(){
    return '#222';
}

add_filter( 'bizberg_site_title_font', 'forever_young_site_title_font' );
function forever_young_site_title_font(){
    return [
        'font-family'    => 'EB Garamond',
        'variant'        => '500',
        'font-size'      => '55px',
        'line-height'    => '1.5',
        'letter-spacing' => '0',
        'text-transform' => 'capitalize',
        'text-align'     => 'center',
    ];
}

add_filter( 'bizberg_site_tagline_font', 'forever_young_site_tagline_font' );
function forever_young_site_tagline_font(){
    return [
        'font-family'    => 'Nunito Sans',
        'variant'        => '300',
        'font-size'      => '18px',
        'line-height'    => '1.8',
        'letter-spacing' => '0',
        'text-transform' => 'none',
        'text-align'     => 'center',
    ];
}

add_filter( 'bizberg_slider_banner_settings', 'forever_young_slider_banner_settings' );
function forever_young_slider_banner_settings(){
    return 'none';
}

add_action( 'init', 'forever_young_colors' );
function forever_young_colors(){

    $options = array(
        'bizberg_slider_title_box_highlight_color',
        'bizberg_slider_arrow_background_color',
        'bizberg_slider_dot_active_color',
        'bizberg_read_more_background_color',
        'bizberg_theme_color',
        'bizberg_header_menu_color_hover',
        'bizberg_header_button_color',
        'bizberg_header_button_color_hover',
        'bizberg_link_color_hover',
        'bizberg_blog_listing_pagination_active_hover_color',
        'bizberg_sidebar_widget_link_color_hover',
        'bizberg_footer_social_icon_color',
        'bizberg_footer_copyright_background',
        'bizberg_header_menu_color_hover_sticky_menu',
        'bizberg_shop_quick_view_background',
        'bizberg_shop_price_color'
    );

    foreach ( $options as $value ) {
        
        add_filter( $value , function(){
            return '#735777';
        });

    }

}

add_filter( 'bizberg_header_2_spacing', 'forever_young_header_2_spacing' );
function forever_young_header_2_spacing(){
    return [
        'padding-top'  => '20px',
        'padding-bottom'  => '25px',
    ];
}

add_action( 'customize_register', 'forever_young_customizer_options', 100 );
function forever_young_customizer_options( $wp_customize ){

    /**
    * Remove sections/panels/control of parent theme
    */
    
    $wp_customize->remove_section("transparent_header");
    $wp_customize->remove_section("progress_bar");

    $wp_customize->remove_control("header_menu_color_hover_sticky_menu");
    $wp_customize->remove_control("header_menu_separator_sticky_menu");
    $wp_customize->remove_control("header_menu_text_color_sticky_menu");
    $wp_customize->remove_control("header_navbar_background_2_sticky_menu");
    $wp_customize->remove_control("header_navbar_background_1_sticky_menu");
    $wp_customize->remove_control("header_site_tagline_color_sticky_menu");
    $wp_customize->remove_control("header_site_title_color_sticky_menu");
    $wp_customize->remove_control("header_sticky_menu_options_heading");
    $wp_customize->remove_control("header_menu_child_menu_background_sticky_menu");
    $wp_customize->remove_control("header_menu_child_menu_border_sticky_menu");
    $wp_customize->remove_control("header_menu_child_menu_text_color_sticky_menu");
    $wp_customize->remove_control("header_button_color_sticky_menu");
    $wp_customize->remove_control("header_button_color_hover_sticky_menu");
    $wp_customize->remove_control("header_button_border_color_sticky_menu");
    $wp_customize->remove_control("header_menu_slide_in_animation");

}

add_filter( 'bizberg_sticky_header_status', 'forever_young_sticky_header_status' );
function forever_young_sticky_header_status(){
    return 'false';
}

add_filter( 'bizberg_sidebar_settings', 'forever_young_sidebar_settings' );
function forever_young_sidebar_settings(){
    return 6;
}

add_filter( 'bizberg_sidebar_spacing_status', 'forever_young_sidebar_spacing_status' );
function forever_young_sidebar_spacing_status(){
    return '0px';
}

add_filter( 'bizberg_sidebar_widget_background_color', 'forever_young_sidebar_widget_background_color' );
add_filter( 'bizberg_sidebar_widget_border_color', 'forever_young_sidebar_widget_background_color' );
function forever_young_sidebar_widget_background_color(){
    return 'rgba(251,251,251,0)';
}

add_filter( 'bizberg_body_typo_heading_1_status', 'forever_young_body_typo_heading_2_status' );
add_filter( 'bizberg_body_typo_heading_2_status', 'forever_young_body_typo_heading_2_status' );
add_filter( 'bizberg_body_typo_heading_3_status', 'forever_young_body_typo_heading_2_status' );
add_filter( 'bizberg_body_typo_heading_4_status', 'forever_young_body_typo_heading_2_status' );
add_filter( 'bizberg_body_content_typo_status', 'forever_young_body_typo_heading_2_status' );
add_filter( 'bizberg_woo_product_color_status', 'forever_young_body_typo_heading_2_status' );
add_filter( 'bizberg_sidebar_widget_heading_font_size_status', 'forever_young_body_typo_heading_2_status' );
function forever_young_body_typo_heading_2_status(){
    return true;
}

add_filter( 'bizberg_typography_h1', 'forever_young_bizberg_typography_h1' );
function forever_young_bizberg_typography_h1(){
    return [
        'font-family'    => 'EB Garamond',
        'variant'        => '500',
        'font-size'      => '44.79px',
        'line-height'    => '1.2',
        'letter-spacing' => '0',
        'text-transform' => 'inherit'
    ];
}

add_filter( 'bizberg_typography_h1_tablet', 'forever_young_typography_h1_tablet' );
add_filter( 'bizberg_typography_h1_mobile', 'forever_young_typography_h1_tablet' );
function forever_young_typography_h1_tablet(){
    return 44.79;
}

add_filter( 'bizberg_typography_h2', 'forever_young_bizberg_typography_h2' );
function forever_young_bizberg_typography_h2(){
    return [
        'font-family'    => 'EB Garamond',
        'variant'        => '500',
        'font-size'      => '37.32px',
        'line-height'    => '1.2',
        'letter-spacing' => '0',
        'text-transform' => 'inherit'
    ];
}

add_filter( 'bizberg_typography_h2_tablet', 'forever_young_typography_h2_tablet' );
add_filter( 'bizberg_typography_h2_mobile', 'forever_young_typography_h2_tablet' );
function forever_young_typography_h2_tablet(){
    return 37.32;
}

add_filter( 'bizberg_typography_h3', 'forever_young_bizberg_typography_h3' );
function forever_young_bizberg_typography_h3(){
    return [
        'font-family'    => 'EB Garamond',
        'variant'        => '500',
        'font-size'      => '31.10px',
        'line-height'    => '1.2',
        'letter-spacing' => '0',
        'text-transform' => 'inherit'
    ];
}

add_filter( 'bizberg_typography_h3_tablet', 'forever_young_typography_h3_tablet' );
add_filter( 'bizberg_typography_h3_mobile', 'forever_young_typography_h3_tablet' );
function forever_young_typography_h3_tablet(){
    return 31.10;
}


add_filter( 'bizberg_typography_h4', 'forever_young_bizberg_typography_h4' );
function forever_young_bizberg_typography_h4(){
    return [
        'font-family'    => 'EB Garamond',
        'variant'        => '500',
        'font-size'      => '25.92px',
        'line-height'    => '1.2',
        'letter-spacing' => '0',
        'text-transform' => 'inherit'
    ];
}

add_filter( 'bizberg_typography_h4_tablet', 'forever_young_typography_h4_tablet' );
add_filter( 'bizberg_typography_h4_mobile', 'forever_young_typography_h4_tablet' );
function forever_young_typography_h4_tablet(){
    return 25.92;
}

add_filter( 'bizberg_theme_text_color', 'forever_young_theme_text_color' );
add_filter( 'bizberg_sidebar_widget_link_color', 'forever_young_theme_text_color' );
add_filter( 'bizberg_link_color', 'forever_young_theme_text_color' );
add_filter( 'bizberg_sidebar_widget_title_color', 'forever_young_theme_text_color' );
add_filter( 'bizberg_heading_color', 'forever_young_theme_text_color' );
function forever_young_theme_text_color(){
    return '#000';
}

add_filter( 'bizberg_typography_body_content', 'forever_young_typography_body_content' );
function forever_young_typography_body_content(){
    return [
        'font-family'    => 'Nunito Sans',
        'variant'        => 'regular',
        'font-size'      => '18px',
        'line-height'    => '1.8'
    ];
}

add_filter( 'bizberg_single_post_layout', 'forever_young_single_post_layout' );
function forever_young_single_post_layout(){
    return 2;
}

add_filter( 'bizberg_typography_body_content_output_css', 'forever_young_typography_body_content_output_css' );
function forever_young_typography_body_content_output_css( $css ){
    $css[] = [
        'element' => 'p'
    ];
    return $css;
}

add_filter( 'bizberg_excerpt_length', 'forever_young_excerpt_length' );
function forever_young_excerpt_length(){
    return 25;
}

add_filter( 'bizberg_header_menu_font_mobile', 'forever_young_header_menu_font_mobile' );
function forever_young_header_menu_font_mobile(){
    return '#fff';
}

add_filter( 'bizberg_header_menu_background_mobile', 'forever_young_header_menu_background_mobile' );
function forever_young_header_menu_background_mobile(){
    return '#000';
}

add_filter( 'bizberg_header_menu_background_hover_mobile', 'forever_young_header_menu_background_hover_mobile' );
function forever_young_header_menu_background_hover_mobile(){
    return '#735777';
}

add_filter( 'bizberg_sticky_sidebar_margin_top_status', 'forever_young_sticky_sidebar_margin_top_status' );
function forever_young_sticky_sidebar_margin_top_status(){
    return 30;
}

add_action( 'wp_body_open', 'forever_young_add_balls_animation' );
function forever_young_add_balls_animation() {
    ?>
    <div id="tf-partical-wrap"></div>
    <?php
}

add_filter( 'bizberg_link_color_hover_output_css', 'forever_young_link_color_hover_output_css' );
function forever_young_link_color_hover_output_css( $css ){
    $css[] = array(
        'element'  => '.bizberg_grid_mode_two_col .blog_listing_grid_two_column h2.entry-title a:hover, .single_post_layout_2 .related_posts_wrapper .related_posts h2 a:hover',
        'property'      => 'background',
        'value_pattern' => 'linear-gradient(to right, $, $)'
    );
    return $css;
}

add_filter( 'bizberg_link_color_output_css', 'forever_young_link_color_output_css' );
function forever_young_link_color_output_css( $css ){
    $css[] = array(
        'element'  => '.bizberg_grid_mode_two_col .blog_listing_grid_two_column h2.entry-title a, .single_post_layout_2 .related_posts_wrapper .related_posts h2 a',
        'property'      => 'background',
        'value_pattern' => 'linear-gradient(to right, $, $)'
    );
    return $css;
}

add_filter( 'bizberg_theme_output_css', 'forever_young_theme_output_css' );
function forever_young_theme_output_css( $css ){
    $css[] = array(
        'element'       => '.bizberg_sidebar #sidebar .widget h2,.bizberg_sidebar #sidebar .wp-block-search .wp-block-search__label',
        'property'      => 'border-left-color',
        'value_pattern' => '$'
    );
    $css[] = array(
        'element'           => '.bizberg_sidebar #sidebar .widget h2, .bizberg_sidebar #sidebar .wp-block-search .wp-block-search__label',
        'property'          => 'background',
        'sanitize_callback' => 'forever_young_adjust_brightness_09'
    );
    return $css;
}

function forever_young_adjust_brightness_09( $hexCode, $adjustPercent = '0.9' ) {

    $hexCode = ltrim($hexCode, '#');

    if (strlen($hexCode) == 3) {
        $hexCode = $hexCode[0] . $hexCode[0] . $hexCode[1] . $hexCode[1] . $hexCode[2] . $hexCode[2];
    }

    $hexCode = array_map('hexdec', str_split($hexCode, 2));

    foreach ($hexCode as & $color) {
        $adjustableLimit = $adjustPercent < 0 ? $color : 255 - $color;
        $adjustAmount = ceil($adjustableLimit * $adjustPercent);

        $color = str_pad(dechex($color + $adjustAmount), 2, '0', STR_PAD_LEFT);
    }

    return '#' . implode($hexCode);

}

add_filter( 'bizberg_number_setting_desktop_sidebar_widget_heading_font_sizes', 'forever_young_number_setting_desktop_sidebar_widget_heading_font_sizes' );
add_filter( 'bizberg_number_setting_tablet_sidebar_widget_heading_font_sizes', 'forever_young_number_setting_desktop_sidebar_widget_heading_font_sizes' );
add_filter( 'bizberg_number_setting_mobile_sidebar_widget_heading_font_sizes', 'forever_young_number_setting_desktop_sidebar_widget_heading_font_sizes' );
function forever_young_number_setting_desktop_sidebar_widget_heading_font_sizes(){
    return 22;
}

add_action( 'after_setup_theme', 'forever_young_setup_theme' );
function forever_young_setup_theme() {

    add_theme_support( 'title-tag' );
    add_theme_support( 'automatic-feed-links' );

    $starter_content = array(
        'posts' => array(
             'home',
             'about',
             'contact',
             'blog'
        ),
        'options' => array(
            'show_on_front' => 'posts'
        ),
        'nav_menus' => array(
            'menu-1' => array(
                'name' => __( 'Main Menu', 'forever-young' ),
                'items' => array(
                    'page_home',
                    'page_about',
                    'page_blog',
                    'page_news'
                ),
            ),
            'footer' => array(
                'name' => __( 'Footer Menu', 'forever-young' ),
                'items' => array(
                    'page_home',
                    'page_about',
                    'page_blog',
                    'page_news'
                ),
            ),
        ),
    );

    add_theme_support( 'starter-content', $starter_content );

}

add_filter( 'bizberg_plugins', 'forever_young_plugins', 999 );
function forever_young_plugins(){

    $plugins = array(
        array(
            'slug' => 'one-click-demo-import/one-click-demo-import.php',
            'zip'  => 'one-click-demo-import'
        ), 
        array(
            'slug' => 'cyclone-demo-importer/index.php',
            'zip'  => 'cyclone-demo-importer'
        )           
    );

    return $plugins;

}

add_filter( 'bizberg_recommended_plugins', 'forever_young_recommended_plugins' );
function forever_young_recommended_plugins( $plugins ){

    $plugins = array(

        array(
            'name'     => esc_html__( 'One Click Demo Import', 'forever-young' ),
            'slug'     => 'one-click-demo-import',
            'required' => false,
        ),
        array(
            'name'     => esc_html__( 'Cyclone Demo Importer', 'forever-young' ),
            'slug'     => 'cyclone-demo-importer',
            'required' => false
        )

    );

    return $plugins;

}

add_filter( 'bizberg_sticky_content_sidebar' , 'forever_young_sticky_content_sidebar' );
function forever_young_sticky_content_sidebar(){
    return false;
}

add_filter( 'bizberg_top_header_status', 'forever_young_top_header_status' );
function forever_young_top_header_status(){
    return false;
}